@ECHO OFF&PUSHD %~DP0 &TITLE 绿化辅助
taskkill /f /im nEOiMAGIN*>NUL 2>NUL
:Menu
echo.&echo +.创建桌面光影魔术手
echo.&echo 1.注册右键控件并清理临时数据
echo.&echo 2.卸载右键控件并清理临时数据
echo.&echo.
set /p a= 输入数字回车：
if "%a%"=="+" Goto DesktopLnk
if "%a%"=="1" Goto SeShellEx
if "%a%"=="2" Goto UnShellEx
:SeShellEx
if exist "%WinDir%\SysWOW64" regsvr32 /s NeoImageShellEx64.dll
if not exist "%WinDir%\SysWOW64" regsvr32 /s NeoImageShellEx.dll
reg delete "HKCU\Software\Thunder Network\NeoImaging" /F>NUL 2>NUL
SET E=完成!&GOTO MSGBOX
:UnShellEx
rd/s/q "%ProgramData%\Thunder Network\NeoImaging"2>NUL
rd/s/q "%ProgramData%\Thunder Network\DownloadLib"2>NUL
reg delete "HKCU\Software\Thunder Network\NeoImaging" /F>NUL 2>NUL
if exist "%WinDir%\SysWOW64" regsvr32 /s /u NeoImageShellEx64.dll
if not exist "%WinDir%\SysWOW64" regsvr32 /s /u NeoImageShellEx.dll
SET E=完成!&GOTO MSGBOX
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\光影魔术手.lnk""):b.TargetPath=""%~dp0Program\nEOiMAGING4.exe"":b.WorkingDirectory=""%~dp0Program"":b.Save:close")&SET E=完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)& Cls&Goto Menu